package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnergyGasService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@RestController
@RequestMapping("/energy-gas")
@CrossOrigin
public class EnergyGasController {
    @Autowired
    private IEnergyGasService energyGasService;

    @RequestMapping("/listPigpen")
    public Result listPigpen(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return energyGasService.listPigpen(httpServletRequest,paramsMap);
    }

    @RequestMapping("/listData")
    public Result listData(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return energyGasService.listData(httpServletRequest,paramsMap);
    }
}
