package com.huimv.admin.controller;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.ICameraAreaService;
import com.huimv.admin.service.ICameraBaseService;
import com.huimv.admin.service.IEnvDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@CrossOrigin
@RestController
@RequestMapping("/admin/envDeviceSync")
public class EnvDeviceSync {
    @Autowired
    private IEnvDeviceService envDeviceService;

    @PostMapping("/sync")
    @Transactional
    public Result sync(@RequestBody Map<String, String> params) throws Exception {
        return  envDeviceService.sync(params);

    }
}
