package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IGasDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-21
 */
@RestController
@RequestMapping("/gas-data")
@CrossOrigin
public class GasDataController {

    @Autowired
    private IGasDataService gasDataService;

    @RequestMapping("/list")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return gasDataService.list(httpServletRequest,paramsMap);
    }

    @RequestMapping("/listArea")
    public Result listArea(HttpServletRequest httpServletRequest, @RequestBody Map<String,String> paramsMap) {
        return gasDataService.listArea(httpServletRequest,paramsMap);
    }
}
