package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.ProdSale;
import com.huimv.admin.service.IProdSaleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@RestController
@RequestMapping("/prod-sale")
@CrossOrigin
public class ProdSaleController {

    @Autowired
    private IProdSaleService prodSaleService;

    @RequestMapping("/list")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return prodSaleService.list(httpServletRequest,paramsMap);
    }

    @RequestMapping("/add")
    public Result list(HttpServletRequest httpServletRequest, @RequestBody ProdSale prodSale) {
        return prodSaleService.add(httpServletRequest,prodSale);
    }


    @RequestMapping("/listScreen")
    public Result listScreen(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return prodSaleService.listScreen(httpServletRequest,paramsMap);
    }
}
