package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("camera_base")
public class CameraBase implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 摄像头名字
     */
    private String cameraName;

    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 区域名字
     */
    private String areaName;

    /**
     * 摄像头ip
     */
    private String cameraIp;

    /**
     * 0未关注，1关注
     */
    private Integer attention;

    /**
     * 品牌()
     */
    private String brandName;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 1正常   0停用
     */
    private Boolean runStatus;

    private Integer orderNum;

    private Integer farmId;
    /**
     * 1在线  0离线
     */
    private Boolean onLineStatus;

    private String cameraUuid;
    private Integer cameraType;
    private Integer cameraChannelNum;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "GMT+8")
    private Date updateTime;
    private String unitUuid;
    private String regionUuid;
    private Integer functionId;


}
