package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_warning_info")
public class EnergyWarningInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 1水 2电 3料 4气
     */
    private Integer warningType;

    /**
     * 报警内容
     */
    private String warningContent;

    /**
     * 位置
     */
    private String buildLocation;

    /**
     * 位置名字
     */
    private String unitName;

    /**
     * 单元id
     */
    private Integer unitId;

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 日期
     */
    private LocalTime date;

    /**
     * 人员id
     */
    private String userIds;

    /**
     * 人员名字
     */
    private String userNames;

    private Integer farmId;

    private String other1;

    private String other2;

    private String other3;


}
