package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_device")
public class EnvDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 位置
     */
    private String buildLocation;

    /**
     * 房屋id
     */
    private String unitName;

    /**
     * 单元id
     */
    private Integer unitId;

    /**
     * 品牌
     */
    private String deviceBrand;

    private String remark;

    /**
     * 0不在线  1在线
     */
    private Integer deviceStatus;

    private Integer farmId;

    private String ohter1;

    private String ohter2;

    private String ohter3;


}
