package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_warning_threshold")
public class EnvWarningThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 高温
     */
    private String maxTem;

    /**
     * 低温
     */
    private String minTem;

    /**
     * 高湿度
     */
    private String maxHum;

    /**
     * 低湿度
     */
    private String minHum;

    private String maxNh3;

    private String minNh3;

    private String maxCo;

    private String minCo;

    /**
     * 通知人员id
     */
    private String userIds;

    private Integer farmId;

    private String othre1;

    private String othre2;

    private String othre3;


}
