package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 气体阈值
 * </p>
 *
 * @author author
 * @since 2023-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("gas_threshold")
public class GasThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 1屋顶 2厂界上 3厂界下 4厂界居民
     */
    private Integer gasType;

    /**
     * NH3-N
     */
    private String nh3N;

    /**
     * 甲硫醚
     */
    private String jlm;

    /**
     * 二硫化碳
     */
    private String elht;

    /**
     * 二甲二硫
     */
    private String ejel;

    /**
     * H2S
     */
    private String h2s;

    /**
     * 苯乙烯
     */
    private String byx;

    /**
     * CH3SH
     */
    private String ch3sh;

    /**
     * 三甲胺
     */
    private String sja;

    /**
     * 臭气
     */
    private String cq;

    private String userIds;

    private Integer farmId;

    private String other2;

    private String other3;


}
