package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProdSale;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@Repository
public interface ProdSaleMapper extends BaseMapper<ProdSale> {
    List<ProdSale> listMonth(@Param(Constants.WRAPPER)QueryWrapper<ProdSale> queryWrapper);

    List<ProdSale> listYear(@Param(Constants.WRAPPER)QueryWrapper<ProdSale> queryWrapper);
}
