package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("gas_data")
public class GasData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 1屋顶 2厂界上 3厂界下 4厂界居民
     */
    private Integer loctionType;

    /**
     * NH3-N
     */
    private String nh3N;

    /**
     * 甲硫醚
     */
    private String jlm;

    /**
     * 二硫化碳
     */
    private String elht;

    /**
     * 二甲二硫
     */
    private String ejel;

    /**
     * H2S
     */
    private String h2s;

    /**
     * 苯乙烯
     */
    private String byx;

    /**
     * CH3SH
     */
    private String ch3sh;

    /**
     * 三甲胺
     */
    private String sja;

    /**
     * 臭气
     */
    private String cq;

    /**
     * 记录原始值
     */
    private String originalData;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    private String other1;

    private String other2;

    private String other3;

    private Integer farmId;


}
