package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prod_base")
public class ProdBase implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 指标名称
     */
    private String prodName;

    /**
     * 指标值
     */
    private String prodValue;

    private Integer farmId;

    /**
     * 排序
     */
    private Integer prodSort;

    /**
     * 0显示 1不显示
     */
    private Integer isShow;

    /**
     * 字段名称
     */
    private String prodField;

    private String other1;

    private String other2;

    private String other3;


}
